### Method

# Fwupd Remote set_filename_source

since: 1.6.1

#### Declaration [src]

    void
    fwupd_remote_set_filename_source (
      FwupdRemote* self,
      const gchar* filename_source
    )

#### Description [src]

Sets the source filename. This is typically a file in `/etc/fwupd/remotes/`.

Available since: 1.6.1

#### Parameters

`filename_source`

  Type: `const gchar*`

  Filename.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.